Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.notification
Class CommunityNotification

    java.lang.Object
      com.bea.apps.groupspace.notification.GroupSpaceNotification
          com.bea.apps.groupspace.notification.CommunityNotification

Direct Known Subclasses:
  AnnouncementNotification, CollaborationNotification

    public abstract class CommunityNotification

extends GroupSpaceNotification

Field Summary

Fields inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`debug, expirationDate, GROUPSPACE_NOTIFICATION_NAMESPACE, notification, notificationProps, PROP_IMPLEMENTATION_KEY, PROP_SEVERITY_KEY, PROP_SUBJECT_KEY, SEVERITY_SEV_HIGH, SEVERITY_SEV_NORMAL`

Constructor Summary
`CommunityNotification()`
`CommunityNotification(Notification notification)`

Method Summary
`String` | `getCommunityDefinitionID()`
`void` | `setCommunityDefinitionID(String communityDefId)`
`protected void` | `validateOnSend()`

Methods inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`getExpirationDate, getIsHighSeverity, getNotification, getNotificationAttribute, getNotificationAttribute, getNotificationName, getNotificationNamespace, getNotificationSeverity, getNotificationSubject, isValidNotification, setExpirationDate, setNotificationAttribute, setNotificationSeverity, setNotificationSubject, toNotificationPayloadInfo, toNotificationPayloadInfo, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityNotification

    public CommunityNotification()

### CommunityNotification

    public CommunityNotification(Notification notification)

Method Detail

### setCommunityDefinitionID

    public void setCommunityDefinitionID(String communityDefId)

### getCommunityDefinitionID

    public String getCommunityDefinitionID()

### validateOnSend

    protected void validateOnSend()
                           throws MissingDataException

  Specified by:
    `validateOnSend` in class `GroupSpaceNotification`
  Throws
    `MissingDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved